Skip to main content

private/get-accounts

POST 

/private/get-accounts

Get Account and its Sub Accounts.

Request

Body

required
    id int64required

    Request id (echoed in response)

    method stringrequired

    Must be "private/get-accounts"

    api_key stringrequired

    Your API key (only required for private REST)

    sig stringrequired

    HMAC-SHA256 signature in hex (only required for private REST)

    nonce int64required

    Current timestamp in milliseconds, e.g. "1771761038000".

    params objectrequired
    page_size int32

    Default value: 20

    Number of items per page. Default 20.

    page int32

    Default value: 0

    Page number (0-based). Default 0.

Success.
Schema
    id int64

    Echoed request id

    method string

    Method invoked

    code int32

    0 = success; non-zero indicates error (reason code).

    result object
    Present when code === 0. this_account, master_account and sub_account_list per docs.
    this_account object
    Information about the current API key's account.
    uuid string

    UUID of the API key

    hierarchy AccountHierarchy (string)

    Possible values: [MASTER, SUB_ACCOUNT]

    Account type of the API key: MASTER or SUB_ACCOUNT.

    master_account objectrequired
    Account object shared by master_account and sub_account_list in private/get-accounts result.
    uuid string

    UUID of the API key

    hierarchy AccountHierarchy (string)

    Possible values: [MASTER, SUB_ACCOUNT]

    Account type of the API key: MASTER or SUB_ACCOUNT.

    master_account_uuid string

    Master account uuid

    margin_account_uuid string

    Margin account uuid (optional)

    label string

    Sub account label (typically present for sub-accounts)

    enabled boolean

    true or false

    tradable boolean

    true or false

    name string

    Name of sub account

    email string

    Email of sub account

    mobile_number string

    Mobile number of sub account

    country_code string

    Country Code of sub account

    address string

    Address of sub account

    margin_access AccessLevel (string)

    Possible values: [DEFAULT, DISABLED]

    DEFAULT or DISABLED

    derivatives_access AccessLevel (string)

    Possible values: [DEFAULT, DISABLED]

    DEFAULT or DISABLED

    create_time int64

    Creation timestamp (milliseconds since the Unix epoch).

    update_time int64

    Last update timestamp (milliseconds since the Unix epoch).

    two_fa_enabled boolean

    true or false

    kyc_level string

    Kyc Level

    suspended boolean

    true or false

    terminated boolean

    true or false

    sub_account_list object[]required
  • Array [
  • uuid string

    UUID of the API key

    hierarchy AccountHierarchy (string)

    Possible values: [MASTER, SUB_ACCOUNT]

    Account type of the API key: MASTER or SUB_ACCOUNT.

    master_account_uuid string

    Master account uuid

    margin_account_uuid string

    Margin account uuid (optional)

    label string

    Sub account label (typically present for sub-accounts)

    enabled boolean

    true or false

    tradable boolean

    true or false

    name string

    Name of sub account

    email string

    Email of sub account

    mobile_number string

    Mobile number of sub account

    country_code string

    Country Code of sub account

    address string

    Address of sub account

    margin_access AccessLevel (string)

    Possible values: [DEFAULT, DISABLED]

    DEFAULT or DISABLED

    derivatives_access AccessLevel (string)

    Possible values: [DEFAULT, DISABLED]

    DEFAULT or DISABLED

    create_time int64

    Creation timestamp (milliseconds since the Unix epoch).

    update_time int64

    Last update timestamp (milliseconds since the Unix epoch).

    two_fa_enabled boolean

    true or false

    kyc_level string

    Kyc Level

    suspended boolean

    true or false

    terminated boolean

    true or false

  • ]
  • message string

    Present when code !== 0.

    original string

    Present when code !== 0.